summaryrefslogtreecommitdiffstats
path: root/source/l/netpbm
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/l/netpbm
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/l/netpbm')
-rw-r--r--source/l/netpbm/config.mk (renamed from source/l/netpbm/Makefile.config)27
-rwxr-xr-xsource/l/netpbm/netpbm.SlackBuild34
2 files changed, 45 insertions, 16 deletions
diff --git a/source/l/netpbm/Makefile.config b/source/l/netpbm/config.mk
index d9bf909d5..f5ace50f0 100644
--- a/source/l/netpbm/Makefile.config
+++ b/source/l/netpbm/config.mk
@@ -8,9 +8,9 @@
# This file is meant to contain variable settings that customize the
# build for a particular target system configuration.
-# The distribution contains the file Makefile.config.in. You edit
-# Makefile.config.in in ways relevant to your particular environment
-# to create Makefile.config. The "configure" program will do this
+# The distribution contains the file config.mk.in. You edit
+# config.mk.in in ways relevant to your particular environment
+# to create config.mk. The "configure" program will do this
# for you in simple cases.
# Some of the variables that the including make file must set for this
@@ -101,6 +101,7 @@ HAVE_INT64 = Y
CC_FOR_BUILD = $(CC)
LD_FOR_BUILD = $(LD)
CFLAGS_FOR_BUILD = $(CFLAGS)
+LDFLAGS_FOR_BUILD = $(LDFLAGS)
# MAKE is set automatically by Make to what was used to invoke Make.
@@ -157,7 +158,7 @@ LEX = flex
# -pedantic isn't a problem because it causes at worst a warning.
#CFLAGS = -O3 -ffast-math -pedantic -fno-common \
# -Wall -Wno-uninitialized -Wmissing-declarations -Wimplicit \
-# -Wwrite-string -Wmissing-prototypes -Wundef
+# -Wwrite-strings -Wmissing-prototypes -Wundef
# The merged programs have a main_XXX subroutine instead of main(),
# which would cause a warning with -Wmissing-declarations or
# -Wmissing-prototypes.
@@ -252,6 +253,17 @@ LDSHLIB = -shared -Wl,-soname,$(SONAME)
#LDSHLIB = -shared
#AIX Visual Age C:
#LDSHLIB = -qmkshrobj
+#Mac OSX:
+# According to experiments done by Peter A Crowley in May 2007, if
+# libnetpbm goes in a standard place such as /usr/local/lib,
+# programs need not be built with libnetpbm's location included.
+# But if it goes elsewhere, the link-editor must include the
+# location in the executable. It finds the runtime location by
+# looking inside the library. The information in the library
+# comes from the install_name option with which the library was
+# built. It's an alternative to the -rpath option on other systems.
+#LDSHLIB=-dynamiclib
+#LDSHLIB=-dynamiclib -install_name $(NETPBMLIB_RUNTIME_PATH)/libnetpbm.$(MAJ).dylib
# LDRELOC is the command to combine two .o files (relocateable object files)
# into a single .o file that can later be linked into something else. NONE
@@ -285,7 +297,7 @@ LDRELOC = NONE
# know why -- history seems to be repeating itself. 2005.02.23.
CFLAGS_SHLIB =
-# Solaris or SunOS with gcc, and NetBSD:
+# Gcc:
#CFLAGS_SHLIB = -fpic
#CFLAGS_SHLIB = -fPIC
# Sun compiler:
@@ -306,7 +318,7 @@ CFLAGS_SHLIB =
SHLIB_CLIB = -lc
# SCO:
-SHLIB_CLIB =
+#SHLIB_CLIB =
# On some systems you have to build into an executable the list of
# directories where its dynamically linked libraries can be found at
@@ -630,7 +642,7 @@ NETPBM_DOCURL = http://netpbm.sourceforge.net/doc/
-####Lines above were copied from Makefile.config.in by 'configure'.
+####Lines above were copied from config.mk.in by 'configure'.
####Lines below were added by 'configure' based on the GNU platform.
DEFAULT_TARGET = nonmerge
NETPBMLIBTYPE=unixshared
@@ -641,6 +653,7 @@ CFLAGS_MERGE = -Wno-missing-declarations -Wno-missing-prototypes
LDRELOC = ld --reloc
LINKER_CAN_DO_EXPLICIT_LIBRARY=Y
LINKERISCOMPILER = Y
+CFLAGS_SHLIB += -fPIC
TIFFLIB = libtiff.so
JPEGLIB = libjpeg.so
ZLIB = libz.so
diff --git a/source/l/netpbm/netpbm.SlackBuild b/source/l/netpbm/netpbm.SlackBuild
index 0b6685c12..fedaffddb 100755
--- a/source/l/netpbm/netpbm.SlackBuild
+++ b/source/l/netpbm/netpbm.SlackBuild
@@ -22,10 +22,18 @@
PKGNAM=netpbm
-VERSION=${VERSION:-10.35.22}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
-
+VERSION=${VERSION:-10.49.02}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -36,6 +44,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -46,7 +57,7 @@ mkdir -p $TMP # Do not create $PKG or 'make package' fails
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}-$VERSION
# Make sure ownerships and permissions are sane:
@@ -59,10 +70,10 @@ find . \
# Configure:
if [ "$ARCH" = "x86_64" ]; then
- zcat $CWD/Makefile.config.gz \
- | sed -e '/^CFLAGS/s/^CFLAGS = .*/& -fPIC/' > Makefile.config
+ zcat $CWD/config.mk.gz \
+ | sed -e '/^CFLAGS/s/^CFLAGS = .*/& -fPIC/' > config.mk
else
- zcat $CWD/Makefile.config.gz > Makefile.config
+ zcat $CWD/config.mk.gz > config.mk
fi
# Build and install (does not like parallel build):
@@ -109,9 +120,14 @@ fi
# Add a documentation directory:
( cd doc
cp -a \
- COPYRIGHT.PATENT GPL_LICENSE.txt HISTORY INSTALL Netpbm.programming \
+ COPYRIGHT.PATENT GPL_LICENSE.txt INSTALL Netpbm.programming \
README* USERDOC copyright_summary lgpl_v21.txt \
$PKG/usr/doc/${PKGNAM}-$VERSION
+ if [ -r HISTORY ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY | head -n 1000 > $DOCSDIR/HISTORY
+ touch -r HISTORY $DOCSDIR/HISTORY
+ fi
)
mkdir -p $PKG/install